task-comments
List task comments
POST
/
api
/
v1
/
tasks
/
comments
/
list
List task comments
curl --request POST \
--url https://api.nitsor.com/api/v1/tasks/comments/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"taskId": "<string>",
"sourceId": "<string>",
"before": 123
}
'import requests
url = "https://api.nitsor.com/api/v1/tasks/comments/list"
payload = {
"projectId": "<string>",
"taskId": "<string>",
"sourceId": "<string>",
"before": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({projectId: '<string>', taskId: '<string>', sourceId: '<string>', before: 123})
};
fetch('https://api.nitsor.com/api/v1/tasks/comments/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/tasks/comments/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '<string>',
'taskId' => '<string>',
'sourceId' => '<string>',
'before' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/tasks/comments/list"
payload := strings.NewReader("{\n \"projectId\": \"<string>\",\n \"taskId\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"before\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nitsor.com/api/v1/tasks/comments/list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"<string>\",\n \"taskId\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"before\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/tasks/comments/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"<string>\",\n \"taskId\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"before\": 123\n}"
response = http.request(request)
puts response.read_body{
"threads": [
{
"threadId": "<string>",
"taskId": "<string>",
"sourceId": "<string>",
"body": "<string>",
"author": {
"type": "user",
"subject": "<string>",
"issuer": "<string>",
"name": "<string>",
"email": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"seq": 123,
"anchor": {
"sourceId": "<string>",
"slice": 1,
"x": 1,
"y": 1,
"annotationId": "<string>",
"annotationHash": "<string>"
},
"issue": true,
"resolved": true,
"updatedAt": "2023-11-07T05:31:56Z",
"replyCount": 123,
"replies": [
{
"commentId": "<string>",
"threadId": "<string>",
"body": "<string>",
"author": {
"type": "user",
"subject": "<string>",
"issuer": "<string>",
"name": "<string>",
"email": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"seq": 123
}
],
"repliesTruncated": true,
"anchorPosition": {
"branchId": "<string>",
"eventSeq": 1
},
"type": "question",
"verdict": {
"eventSeq": 123,
"taskId": "<string>",
"outcomeId": "<string>",
"annotationId": "<string>"
}
}
],
"hasMore": true,
"nextBefore": 123,
"historyScope": "lineage"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}Authorizations
Body
application/json
⌘I
List task comments
curl --request POST \
--url https://api.nitsor.com/api/v1/tasks/comments/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"taskId": "<string>",
"sourceId": "<string>",
"before": 123
}
'import requests
url = "https://api.nitsor.com/api/v1/tasks/comments/list"
payload = {
"projectId": "<string>",
"taskId": "<string>",
"sourceId": "<string>",
"before": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({projectId: '<string>', taskId: '<string>', sourceId: '<string>', before: 123})
};
fetch('https://api.nitsor.com/api/v1/tasks/comments/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/tasks/comments/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '<string>',
'taskId' => '<string>',
'sourceId' => '<string>',
'before' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/tasks/comments/list"
payload := strings.NewReader("{\n \"projectId\": \"<string>\",\n \"taskId\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"before\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nitsor.com/api/v1/tasks/comments/list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"<string>\",\n \"taskId\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"before\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/tasks/comments/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"<string>\",\n \"taskId\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"before\": 123\n}"
response = http.request(request)
puts response.read_body{
"threads": [
{
"threadId": "<string>",
"taskId": "<string>",
"sourceId": "<string>",
"body": "<string>",
"author": {
"type": "user",
"subject": "<string>",
"issuer": "<string>",
"name": "<string>",
"email": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"seq": 123,
"anchor": {
"sourceId": "<string>",
"slice": 1,
"x": 1,
"y": 1,
"annotationId": "<string>",
"annotationHash": "<string>"
},
"issue": true,
"resolved": true,
"updatedAt": "2023-11-07T05:31:56Z",
"replyCount": 123,
"replies": [
{
"commentId": "<string>",
"threadId": "<string>",
"body": "<string>",
"author": {
"type": "user",
"subject": "<string>",
"issuer": "<string>",
"name": "<string>",
"email": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"seq": 123
}
],
"repliesTruncated": true,
"anchorPosition": {
"branchId": "<string>",
"eventSeq": 1
},
"type": "question",
"verdict": {
"eventSeq": 123,
"taskId": "<string>",
"outcomeId": "<string>",
"annotationId": "<string>"
}
}
],
"hasMore": true,
"nextBefore": 123,
"historyScope": "lineage"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}